RIST2RIST(1)

NAME
rist2rist - tunnel a RIST connection between two URIs

SYNOPSIS
rist2rist [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

rist2rist allows one to tunnel a RIST stream between two URIs.

  Where OPTIONS are:

-i | --inurl ADDRESS:PORT
    Mandatory Option: Input IP address and port

-o | --outurl ADDRESS:PORT
    Mandatory Option: Output IP address and port

-s | --secret PWD
    Pre-shared encryption secret

-e | --encryption-type TYPE
    Encryption type (0 = none, 1 = AES-128, 2 = AES-256)

-S | --statsinterval value (ms)
    Interval at which stats get printed, 0 to disable

-N | --cname identifier
    Manually configured identifier

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-p | --profile number
    Rist receive profile (0 = simple, 1 = main, 2 = advanced)

-n | --npd
    Enable Null Packet Deletion on output

-F | --srpfile filepath
    When in listening mode, use this file to hold the list of usernames and passwords to validate against. Use the ristsrppasswd tool to create the line entries.

-M | --enable-metrics
    Enable OpenMetrics/Prometheus compatible metrics

--metrics-tags
    Additional tags to add to the metrics

--metrics-http
    Start HTTP Server to expose metrics

--metrics-port
    Port for metrics HTTP server (default: 9100)

--metrics-ip
    IP for metrics HTTP server (default: 0.0.0.0)

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--profile 0

--statsinterval 1000

--verbose-level 6

SEE ALSO
ristsender(1), ristreceiver(1), ristsrppasswd(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).